# Class MinimalConfigMeta

java.lang.Object
uk.ac.starlink.ttools.plot2.config.ConfigMeta
uk.ac.starlink.ttools.plot2.config.MinimalConfigMeta

public class MinimalConfigMeta extends ConfigMeta
ConfigMeta implementation that conforms minimally to the requirements. This is only intended for prototyping and test usage, not production code; config keys using instances of this class will not be properly documented in the user-facing documentation.

Since:
  15 Mar 2018
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`MinimalConfigMeta(String name)`
Constructor.

## Method Summary

### Methods inherited from class ConfigMeta

`appendXmlDescription, capitalise, getLongName, getShortDescription, getShortName, getStringUsage, getXmlDescription, setShortDescription, setStringUsage, setXmlDescription, setXmlDescription`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MinimalConfigMeta

public MinimalConfigMeta(String name)
Constructor.

Parameters:
  `name` - basic name for this item